{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "arvados/l7g"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/cytobandFn"
                },
                {
                    "type": "File",
                    "id": "#main/refFaFn"
                },
                {
                    "type": "File",
                    "id": "#main/script"
                },
                {
                    "type": "File",
                    "id": "#main/tagset"
                }
            ],
            "steps": [
                {
                    "run": "#tile-liftover.cwl",
                    "in": [
                        {
                            "source": "#main/cytobandFn",
                            "id": "#main/tile_liftover/cytobandFn"
                        },
                        {
                            "source": "#main/refFaFn",
                            "id": "#main/tile_liftover/refFaFn"
                        },
                        {
                            "source": "#main/script",
                            "id": "#main/tile_liftover/script"
                        },
                        {
                            "source": "#main/tagset",
                            "id": "#main/tile_liftover/tagset"
                        }
                    ],
                    "out": [
                        "#main/tile_liftover/result"
                    ],
                    "id": "#main/tile_liftover"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputSource": "#main/tile_liftover/result",
                    "id": "#main/result"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "arvados/l7g"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": "bash",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#tile-liftover.cwl/cytobandFn"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    },
                    "secondaryFiles": [
                        ".fai",
                        ".gzi"
                    ],
                    "id": "#tile-liftover.cwl/refFaFn"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#tile-liftover.cwl/script"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#tile-liftover.cwl/tagset"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "assembly.*"
                    },
                    "id": "#tile-liftover.cwl/result"
                }
            ],
            "id": "#tile-liftover.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
